Opened 10 years ago

Closed 10 years ago

Last modified 10 years ago

#20387 closed update (fixed)

update libusb to 1.0.2

Reported by: brett@… Owned by: rwilcox (Ryan Wilcox)
Priority: Normal Milestone:
Component: ports Version: 1.7.1
Keywords: Cc:
Port: libusb

Description

0.1.12 is > 3 years out of date

Change History (6)

comment:1 Changed 10 years ago by jmroot (Joshua Root)

Type: requestupdate

comment:2 Changed 10 years ago by tobypeterson

Not entirely trivial, there are API changes. Most likely we need to create new libusb1 port, and update the existing libusb port to be libusb-compat (a 0.x shim on top of the 1.x library)

comment:3 Changed 10 years ago by tobypeterson

added libusb1 (libusb 1.0.2) in r54136, will investigate libusb-compat as a replacement for the current libusb port

comment:4 Changed 10 years ago by tobypeterson

Ok, the libusb ports should be all sorted out. libusb-compat is libusb 0.x, libusb is 1.x. brett is in the process of updating the dependency of the 30-odd ports that use libusb.

comment:5 Changed 10 years ago by tobypeterson

Resolution: fixed
Status: newclosed

comment:6 Changed 10 years ago by michaelld (Michael Dickens)

Please see ticket:20423.

Note: See TracTickets for help on using tickets.